All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::WDatumProducer< TDatums, TDatumsNoPtr > Class Template Reference

`#include <wDatumProducer.hpp>`

Inherits op::WorkerProducer< TDatums >.

## Public Member Functions

| WDatumProducer (const std::shared_ptr< DatumProducer< TDatumsNoPtr >> &datumProducer)
virtual | ~WDatumProducer ()
void | initializationOnThread ()
TDatums | workProducer ()
Public Member Functions inherited from op::WorkerProducer< TDatums >
virtual | ~WorkerProducer ()
void | work (TDatums &tDatums)
Public Member Functions inherited from op::Worker< TDatums >
| Worker ()
virtual | ~Worker ()
bool | checkAndWork (TDatums &tDatums)
bool | isRunning () const
void | stop ()
virtual void | tryStop ()

## Additional Inherited Members

## Constructor & Destructor Documentation

template<typename TDatums , typename TDatumsNoPtr >

op::WDatumProducer< TDatums, TDatumsNoPtr >::WDatumProducer | ( | const std::shared_ptr< DatumProducer< TDatumsNoPtr >> & | datumProducer | ) |

explicit

template<typename TDatums , typename TDatumsNoPtr >

op::WDatumProducer< TDatums, TDatumsNoPtr >::~WDatumProducer | ( |  | ) |

virtual

## Member Function Documentation

template<typename TDatums , typename TDatumsNoPtr >

void op::WDatumProducer< TDatums, TDatumsNoPtr >::initializationOnThread | ( |  | ) |

virtual

Implements op::Worker< TDatums >.

template<typename TDatums , typename TDatumsNoPtr >

TDatums op::WDatumProducer< TDatums, TDatumsNoPtr >::workProducer | ( |  | ) |

virtual

Implements op::WorkerProducer< TDatums >.

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/producer/wDatumProducer.hpp